Create Payout
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payout/address \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-Nonce: <api-key>' \
--header 'X-API-Signature: <api-key>' \
--data '
{
"amount": "10.5",
"ccy": "USDC",
"chain_id": 8453,
"wallet_address": "<string>",
"metadata": {},
"reference": "<string>",
"token_address": "<string>"
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payout/address"
payload = {
"amount": "10.5",
"ccy": "USDC",
"chain_id": 8453,
"wallet_address": "<string>",
"metadata": {},
"reference": "<string>",
"token_address": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"X-API-Nonce": "<api-key>",
"X-API-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
'X-API-Nonce': '<api-key>',
'X-API-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: '10.5',
ccy: 'USDC',
chain_id: 8453,
wallet_address: '<string>',
metadata: {},
reference: '<string>',
token_address: '<string>'
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/partners/accounts/{account_ref}/payout/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "<string>",
"created_at": "<string>",
"currency": "<string>",
"customer": {
"created_at": "<string>",
"deleted_at": "<string>",
"email": "<string>",
"id": "<string>",
"metadata": [
123
],
"name": "<string>",
"org_id": "<string>",
"phone": "<string>",
"properties": [
123
],
"reference": "<string>",
"updated_at": "<string>",
"wallet_address": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"invoice_id": "<string>",
"next_action": "<string>",
"org_id": "<string>",
"parent_id": "<string>",
"properties": {},
"reference": "<string>",
"scheduled_time": 123,
"updated_at": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Partners
Create Payout
Create a payout to a crypto wallet address
POST
/
partners
/
accounts
/
{account_ref}
/
payout
/
address
Create Payout
Authorizations
Path Parameters
Merchant-defined virtual account reference
Body
application/json
body
Amount to send (token units as a decimal string).
Example:
"10.5"
Token/currency symbol to send.
Example:
"USDC"
Destination chain ID.
Example:
8453
Destination wallet address.
Optional payout metadata returned on the payment record.
Show child attributes
Show child attributes
Optional client reference (max 1024 chars).
Maximum string length:
1024Token contract address when not the native asset.
⌘I